# SCCSID = "@(#)makemini.inc    6.3 91/06/05"
#   mini-FSD make include file

.SUFFIXES: .mbj .mnd

#   *.mbj, *.mnd are the mini-FSD files

#   These are the mini-FSD specific build rules for both C and ASM files.
#
#   NOTE:   This file should be included when needed, after including
#           makefile.inc
#
#   DFLAGS are only used for DEBUG versions & mini-FSD versions
#
#  27July1993 - D.Azzarito - Added SPARSE TREE (TVFS) Support


.c.mbj :
        $(CC) $(C_FLAGS) $(CD_FLAGS) /DMINIFSD /DV4FORMAT /Fo$*.mbj $<

.c.mnd :
        $(CC) $(C_FLAGS) $(CND_FLAGS) /DMINIFSD /DV4FORMAT /Fo$*.mnd $<

.asm.mbj:
        $(ASM) $(A_FLAGS) $(AD_FLAGS) /DMINIFSD /DV4FORMAT $<,$*.mbj;

.asm.mnd:
        $(ASM) $(A_FLAGS) $(AND_FLAGS) /DMINIFSD /DV4FORMAT $<,$*.mnd;

#   mini-fsd macros

#       non-debug version
#  @75229 use TLBs instead of LIBs

MODULE_MND=$(MODULE)mn
LIBMND=$(MODULE_MND).lib
TLIBMND=$(MODULE_MND).tlb
LNKMND=$(MODULE_MND).lnk

$(LIBMND) : $(MINIOBJ) $(LNKMND)
        -del $(LIBMND)
        -del $(TLIBMND)
        -$(ALIGN) *.mnd
        $(LIBUTIL) @$(LNKMND)
        -copy $(TLIBMND) $(LIBMND)
        -del $(TLIBMND)

#       debug version

MODULE_MD=$(MODULE)md
LIBMD=$(MODULE_MD).lib
TLIBMD=$(MODULE_MD).tlb
LNKMD=$(MODULE_MD).lnk

$(LIBMD) : $(MINIOBJD) $(LNKMD)
        -del $(LIBMD)
        -del $(TLIBMD)
        $(LIBUTIL) @$(LNKMD)
        -copy $(TLIBMD) $(LIBMD)
        -del $(TLIBMD)
